
QGIS Application - Bug report #1807

QGIS 1.1 doesn't save layer state when saving/exiting.

2009-07-25 10:15 PM - kumba -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Project Loading/Saving

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11867

Description

When exiting and restarting QGIS, or re-opening a project after a crash, QGIS 1.1 seems to not honor the state of layers, even if the

project is saved, and the program immediately exited.

For example, if I have various layers, some enabled, some not, and I have them collapsed so that I don't see their classifications visible in

the "layers" window, then I save and immediately exit.  When going back in and opening the project, most of the "newer" layers will have

their classification expanded again in the "layers" window.

That probably doesn't make much sense, so I'll attach some screenshots highlighting this particular problem.

History

#1 - 2009-07-25 10:19 PM - kumba -

layerbug1 shows the state of the layer window upon saving.  As you can see, the folder group "wv-county2000" has all of its sub-layers collapsed.

If I save and immediately exit the program, then open it back up, layerbug2 is the state of the layer window now.  For some reason, this annoys me in ways

unimaginable by mortal men.  I've already tried casting a voodoo hex on the program, but this hasn't made it work better, so I'm filing a bug instead, as

fixing this is beyond my abilities.

If there's any additional debugging info I can obtain, let me know.

#2 - 2009-07-26 02:22 AM - Giovanni Manghi

Hi,

I cannot replicate the problem on QGIS 1.0,2 and 1.2 installed with the osgeo4w installer on Vista 32 bit and also on QGIS 1.1 on Ubuntu 9.04.

#3 - 2009-07-26 09:35 AM - kumba -

The file/image I just uploaded still depicts this behavior after I was able to run QGIS without incident for several hours last night.  I saved my project and

closed it a few moments ago, then re-opened it and took the above screenshot.

Of note, many of those layers having the problem are newly added ones since I switched over to QGIS-1.1.  Most of the project was originally done in

QGIS-1.0, but I was getting annoyed at the glitches in it (Mainly per ticket #1806), hence decided to upgrade.  According to QGIS, I can't go back now,

because of the changes in the file structure or some such.  That might be something to try and see if it's not setting a bit properly, or still having some

elements of the QGIS-1.0 file structure intact.
#4 - 2009-07-26 09:41 AM - Giovanni Manghi

Hi again,

as for the other tickets you opened recently I would ask you to test qgis on other machines with your usual datasets and see if you can replicate the problem

in order to exclude issues with your installation/architecture.

Thanks

#5 - 2009-07-26 09:45 AM - kumba -

My only other working machine is my Gentoo Linux server, and it doesn't not utilize any of the X11 software.  It runs purely headless, with remote shell

available if I need it for something.  I don;t even keep a keyboard, mouse, or monitor hooked up to it 95% of the time.  Re-rigging it to test this will take a

very long time, since I'd have to compile all the necessary elements from source code, and my time has been very limited lately (which is one reason why

all these quirks have been bugging me lately -- I only have a few hours each night to work with this).

#6 - 2009-07-26 09:54 AM - Giovanni Manghi

Hi,

ok I understand. Please if in the following weeks you'll have the chance to install qgis on a vista/linux operating system (friend?), please give it a try. I'll try to

see if I'll manage a 64 bit installation of Vista and see if I can replicate the problems myself.

I'll make also further test also on other 32 bit boxes other than mines, but as I already said, until now I was not able to replicate the problem(s).

It would be extremely useful if you could post here the project file and the dataset that are in use when all these problems are popping out.

#7 - 2009-07-26 10:56 AM - kumba -

Sure, I think I can do that.  I started my project using random folders for some of the layers however, so I plan on moving the gis data files around and

resetting them in the project to get a saner layout.  That'll make it easier to retore and such.

#8 - 2009-08-04 10:16 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to worksforme

I really cannot make to replicate this problem, tested both 32bit (windows and linux) and 64bit (linux) installations. By the way the code of the legend gui

changed in the last days (with many benefits). Please check it again when the new 1.2 version will be available (end of the month) as windows installer,

then report back. Meanwhile I'll close this.

#9 - 2009-08-09 09:56 PM - kumba -

Just got 1.2 to work (a previous installer wasn't able to load a DLL for some reason -- works now with 1.2.0-12), and this doesn't appear any further as far

as I can tell.  Perhaps a glitch in 1.1 only and since been fixed.

Files
qgis11-layerbug1.png 29.1 KB 2009-07-25 kumba -

qgis11-layerbug2.png 31.3 KB 2009-07-25 kumba -

qgis11-layerbug3.png 32 KB 2009-07-26 kumba -
